c     user amplitude subroutine
      Subroutine VUAMP(
C          passed in for information and state variables
     *     ampName, time, ampValueOld, dt, nprops, props, nSvars, 
     *     svars, lFlagsInfo, nSensor, sensorValues, sensorNames, 
     *     jSensorLookUpTable, 
C          to be defined
     *     ampValueNew, 
     *     lFlagsDefine,
     *     AmpDerivative, AmpSecDerivative, AmpIncIntegral)
      
      include 'vaba_param.inc'

C     svars - additional state variables, similar to (V)UEL
      dimension sensorValues(nSensor), props(nprops), 
     *     svars(nSvars)
      character*80 sensorNames(nSensor)
      character*80 ampName

C     time indices
      parameter( iStepTime        = 1,
     *           iTotalTime       = 2,
     *           nTime            = 2)
C     flags passed in for information
      parameter( iInitialization   = 1,
     *           iRegularInc       = 2,
     *           ikStep            = 3,
     *           nFlagsInfo        = 3)
C     optional flags to be defined
      parameter( iComputeDeriv     = 1,
     *           iComputeSecDeriv  = 2,
     *           iComputeInteg     = 3,
     *           iStopAnalysis     = 4,
     *           iConcludeStep     = 5,
     *           nFlagsDefine      = 5)

      parameter( tMises = 800.00)

c				Alternatively, assign the user-defined amplitude 
c				properties on the data lines rather than using a parameter
c				definition above.
c				 tStep = props(1)
c				 tAccelerateMotor = props(2)
c				 omegaFinal = props(3)      

      dimension time(nTime), lFlagsInfo(nFlagsInfo),
     *          lFlagsDefine(nFlagsDefine)
      dimension jSensorLookUpTable(*)

      lFlagsDefine(iComputeDeriv)    = 1
      lFlagsDefine(iComputeSecDeriv) = 1

c     get sensor value
      vKraft_SINV  = vGetSensorValue('mises_sensor',
     *                              jSensorLookUpTable,
     *                              sensorValues)

      if (lFlagsInfo(iInitialization).eq.1) then
         ampValueNew  = 0.0
         lFlagsDefine(iConcludeStep)=0
         else
            
c           check mises value, if grater thean 800 stop analysis
            if (vKraft_SINV .gt. tMises) then 
               lFlagsDefine(iConcludeStep)=1
            end if
         end if
      return
      end